<?php
/*
Plugin Name: AIT Comments Extension
Plugin URI: http://ait-themes.club
Description: Allows modify labels in default Wordpress Comments Form and add notification text for inputs in the form.
Version: 2.0.2
Author: AitThemes.Club
Author URI: http://ait-themes.club
Text Domain: ait-comments-extension
Domain Path: /languages
License: GPLv2 or later
Revision: trunk@r107
*/

define('AIT_COMMENTS_EXTENSION_ENABLED',true);require_once
dirname(__FILE__).'/plugin/AitCommentsExtension.php';$aitPluginsList[]='ait-comments-extension';if(!isset($aitPluginsInitialized)){add_action('init',function(){$domain=explode('/',preg_replace('|https?://|','',get_option('siteurl')))[0];if(defined('AIT_THEME_PACKAGE')&&!in_array($domain,['localhost','127.0.0.1'])){if(wp_doing_ajax()){add_action('ait-save-options',function($data){if(isset($data['_ait_api_key_plugin'])){update_option('_ait_api_key_plugin',$data['_ait_api_key_plugin']);}delete_transient('check_ait_subscription_plugin');});}else{if(AIT_THEME_PACKAGE==='themeforest'){$key=get_option('_ait_api_key_plugin');if(is_super_admin()){add_filter('ait-get-full-config',function($config,$type)use($domain){if($type==='theme'&&isset($config['licensing'])){$config['licensingPlugin']=$config['licensing'];$config['licensingPlugin']['@title']=__('API Key','ait-admin');$config['licensingPlugin']['@options'][0]['domain']['callback']=function()use($domain){?>
                                    <div class="ait-opt-label">
                                        <div class="ait-label-wrapper">
                                            <label class="ait-label" for="ait-plugin-api-domain"><?php esc_html_e('Domain')?></label>
                                        </div>
                                    </div>
                                    <div class="ait-opt ait-opt-text">
                                        <div class="ait-opt-wrapper">
                                            <input type="text" id="ait-plugin-api-domain" value="<?php echo
esc_attr($domain)?>" onclick="this.focus();this.select()" readonly style="cursor: copy;">
                                        </div>
                                        <div class="ait-help"><?php echo
wp_kses_post(__('You will need this when you will be generating API Key','ait'))?></div>
                                    </div>
                                    <?php
};$config['licensingPlugin']['@options'][0]['key']['callback']=function(){?>
                                    <div class="ait-opt-label">
                                        <div class="ait-label-wrapper">
                                            <label class="ait-label" for="ait-plugin-api-key"><?php _e('API Key','ait')?></label>
                                        </div>
                                    </div>
                                    <div class="ait-opt ait-opt-text">
                                        <div class="ait-opt-wrapper">
                                            <input type="text" id="ait-plugin-api-key" name="_ait_api_key_plugin" value="<?php echo
esc_attr(get_option('_ait_api_key_plugin'))?>">
                                        </div>
                                        <div class="ait-help">
                                            <?php echo
wp_kses_post(sprintf(__('You can generate API Key for the domain in your %sAitThemes account%s.','ait'),'<a href="https://system.ait-themes.club/account/api" target="_blank">','</a>'))?>
                                        </div>
                                    </div>
                                    <?php
};}return$config;},10,2);}}else{$o=get_option('_ait_updater_options');$key=!empty($o['api_key'])?$o['api_key']:'';}$response=get_transient('check_ait_subscription_plugin');if(!is_object($response)||!isset($response->last)||((24*HOUR_IN_SECONDS)<(time()-$response->last))){$responseRaw=wp_remote_post('https://system.ait-themes.club/api/5.0/subscriptions/check',['timeout'=>3,'body'=>['domain'=>$domain,'key'=>$key,'package'=>'plugins','theme'=>AIT_THEME_CODENAME,'plugins'=>json_encode($GLOBALS['aitPluginsList'])]]);if(is_wp_error($responseRaw)){error_log($responseRaw->get_error_message());}$response=new
stdClass;$response->last=time();$response->body=json_decode(wp_remote_retrieve_body($responseRaw),true);$response->code=wp_remote_retrieve_response_code($responseRaw);set_transient('check_ait_subscription_plugin',$response);}switch($response->code){case
401:if(is_super_admin()){add_action('admin_notices',function(){printf('<div class="notice notice-warning notice-large"><p><strong class="notice-title">%1$s</strong><br>%2$s</p></div>',esc_html(__('Invalid API Key for this domain','ait')),wp_kses_post(sprintf(__('Please enter a valid API key for this domain. You can configure it in %sTheme Admin &rarr; Theme Options &rarr; API Key%s.','ait'),'<a href="'.admin_url('admin.php?page=ait-theme-options#ait-theme-options-licensing'.(AIT_THEME_PACKAGE==='themeforest'?'plugin':'').'-panel').'">','</a>')));});}if(!is_admin()){add_filter('template_include',function($template){wp_die(__('Please enter a valid API key for this domain. You can configure it in Theme Options.','ait'),__('Invalid API Key for this domain','ait'));return$template;});}break;case
500:if(is_super_admin()){add_action('admin_notices',function(){printf('<div class="notice notice-warning notice-large"><p><strong class="notice-title">%1$s</strong><br>%2$s</p></div>',esc_html(__('Error checking API Key','ait')),wp_kses_post(__('There was and error while checking API Key.','ait')));});}break;}}}});$aitPluginsInitialized=true;}AitCommentsExtension::getInstance()->run(__FILE__);